Subject: Re: bug#77328: 31.0.50; eglot-code-action-indicator containing U+F400

From: Gerd Möllmann <[email-masked]>
Date: Fri, 28 Mar 2025 14:52:53 +0100

João Távora <[email-masked]> writes:

> The reason, frankly, is I don't know my PUAs from my UTFs from my SATs. I just wanted something pretty,
> so I POOMA this thing, which looked ok on a couple of setups. If you are knowledgeable about this, feel
> free to change and thanks very much in advance.
>
> João Távora
>
> On Fri, Mar 28, 2025, 11:20 Eli Zaretskii <[email-masked]> wrote:
>
>  > Cc: [email-masked],
>  >  João Távora <[email-masked]>
>  > From: Robert Pluim <[email-masked]>
>  > Date: Fri, 28 Mar 2025 11:01:05 +0100
>  > 
>  > >>>>> On Fri, 28 Mar 2025 07:07:08 +0100, Gerd Möllmann <[email-masked]> said:
>  > 
>  >     Gerd> which is a character in a "private use area". I guess that could
>  >     Gerd> indicate that the use of this character is maybe not intentional.
>  > 
>  >     Gerd> (In my setting, macOS/iTerm2 terminal, JetBrains MONO font, running
>  >     Gerd> emacs -nw, char-displayable-p returns t for #xf400, and it is displayed
>  >     Gerd> as a question mark in a box, which is otherwise used for characters with
>  >     Gerd> no defined meaning.)
>  > 
>  > I have a similar setup, but use "CaskaydiaMono Nerd Font Mono" for
>  > non-ASCII, and it displays as what looks like a lightbulb. Perhaps we
>  > should use U+1F4A1 ELECTRIC LIGHT BULB instead.
>
>  João, what is the reason for using a PUA character there?  This was
>  added recently, so I guess the motivation is still available
>  somewhere?

Pushed a fix to master that uses the light bulb character. That's quite
pretty, indeed :-). And closing.